# Interface ArcGISSublayerExtensionCollection<S>

A collection of sublayer extensions belonging to a ArcGISLayerExtension.

interface ArcGISSublayerExtensionCollection<S> {
initializedItems: ReadOnlyCollection<ArcGISSublayerExtension<ArcGISSublayerExtensionProperties>>;
findById(id: string): S;
findBySublayerId(id: number): S;
forSublayer(sublayer: Sublayer): S;
}

#### Type Parameters

- S extends ArcGISSublayerExtension

#### Hierarchy (view full)

- InitializableCollection<ArcGISSublayerExtensionProperties, ArcGISSublayerExtension>
  - ArcGISSublayerExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

findById
findBySublayerId
forSublayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<ArcGISSublayerExtension<ArcGISSublayerExtensionProperties>>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): S

- Get the sublayer extension for a given id.

  #### Parameters

  - id: string

    The id of the sublayer extension.

  #### Returns S

  The sublayer extension.

### findBySublayerId

- findBySublayerId(id): S

- Get the corresponding sublayer extension for a given sublayer id.

  #### Parameters

  - id: number

    The id of the sublayer.

  #### Returns S

  The corresponding sublayer extension.

### forSublayer

- forSublayer(sublayer): S

- Gets the corresponding sublayer extension for a given sublayer.

  #### Parameters

  - sublayer: Sublayer

    A sublayer.

  #### Returns S

  The corresponding sublayer extension.